Dashboard
Machines

Get Machine

Get Machine

GET/v2/machines/{machine_id}

Path Parameters

machine_idstring · uuidrequired

Query Parameters

refreshbooleanoptional

Re-observe status from the provider before returning.

Request
curl --request GET \
  --url https://api.brainbaselabs.com/v2/machines/{machine_id} \
  --header 'Authorization: Bearer YOUR_API_KEY'
Response
json
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "kind": "string",
  "external_id": "string",
  "status": "starting",
  "region": "string",
  "owner_user_id": "65139110-7c3c-4777-b692-80c218be3b9d",
  "agent_id": "2b1e3b65-2c04-4fa2-a2d7-467901e98978",
  "snapshot": "string",
  "metadata": {
    "property1": "string",
    "property2": "string"
  },
  "created_at": "2019-08-24T14:15:22Z",
  "last_seen_at": "2019-08-24T14:15:22Z",
  "destroyed_at": "2019-08-24T14:15:22Z"
}